Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 543 - libjpeg-6b-5 orphans file /usr/lib/libjpeg.so.62
Summary: libjpeg-6b-5 orphans file /usr/lib/libjpeg.so.62
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: libjpeg
Version: 5.1
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-20 21:15 UTC by Bourne, Jim
Modified: 2016-09-19 17:04 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-22 15:26:26 UTC


Attachments (Terms of Use)

Description Bourne, Jim 1998-12-20 21:15:41 UTC
Looking for the package that owned /usr/lib/libjpeg.so.62 I
found it to not belong to any package, although it does come
from libjpeg-6b-5.

Here is a session transcript:
cafe:bash# rm /usr/lib/libjpeg.so.62
rm: remove /usr/lib/libjpeg.so.62'? y
cafe:bash# rpm -U --force libjpeg-6b-5.i386.rpm
cafe:bash# ls -l /usr/lib/libjpeg.so.62*
lrwxrwxrwx   1 root     root           17 Dec 20 14:07
/usr/lib/libjpeg.so.62 -> libjpeg.so.62.0.0
-rwxr-xr-x   1 root     root       136927 Jun  9  1998
/usr/lib/libjpeg.so.62.0.0
cafe:bash# rpm -qf /usr/lib/libjpeg.so.62
file /usr/lib/libjpeg.so.62 is not owned by any package
cafe:bash#

Comment 1 Aleksey Nogin 1998-12-21 00:44:59 UTC
I believe that is a normal behavior - symlink is not a part of the
RPM, but it is created by the ldconfig which is executed in the
postinstall script. If you want to know where the library came from,
you can always run rpm -qf on the library itself instead of the
symlink.

Comment 2 Bourne, Jim 1998-12-21 02:07:59 UTC
I tested this, and yes ldconfig does create the symlink.  However
other packages will have dependancies on that particular file, and the
package (libjpeg-6b-5) provides this file.

Perhaps the packages that have symlinks created by external programs
from the postinstall scripts should report that the symlinks are
included with the package?

Comment 3 Jeff Johnson 1998-12-22 15:26:59 UTC
The symlink /usr/lib/libjpeg.so.62 is generated by running
/sbin/ldconfig in the %post step installing the rpm. There
is no obvious (to me) problem with having the link generated
rather than owned.

Comment 4 openshift-github-bot 2016-09-19 17:04:23 UTC
Commit pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/a95ccafcf821ddcb3f220d8d4ed624eb4f08781a
Improving consistency of .data-toolbar display...

across monitoring, events, and other resources pages, which also
resolves issue #543.


Note You need to log in before you can comment on or make changes to this bug.